List customers
Lists or searches customers connected to your account. All supported query parameters are optional. If none are provided, the response will include all customers connected to your account. This endpoint supports advanced sorting and filtering options.
Authorizations
Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.
Headers
For use by platforms to specify an account_id to set the scope of a request.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Query Parameters
Page number for paginated results. Starts at 1.
Number of results per page. Maximum: 1000.
name, created_at asc, desc Start date for filtering by created_at date.
End date for filtering by created_at date.
Filter customers by name (partial match).
Filter by your system's external_id.
Filter customers by email address.
Filter customers by their current status.
pending, review, verified, inactive, rejected General search term to filter customers.
Filter by customer type individual or business.
individual, business Response
OK
Indicates the structure of the returned content.
- "object" means the
datafield contains a single JSON object. - "array" means the
datafield contains an array of objects. - "error" means the
datafield contains an error object with details of the issue. - "none" means no data is returned.
object, array, error, none